5050/urls.py
# from django.conf import settings
    # from django.conf.urls.static import static 

from django.contrib import admin
from django.urls import include, path

# Required for static files
from django.conf import settings
from django.conf.urls.static import static


urlpatterns = [
    # path('polls/', include('polls.urls')),
    path('raffle/', include('raffles.urls')),
    path('admin/', admin.site.urls),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
# the above line is required because the Django development server doesn't 
# serve media files by default. To make Django development server serve 
# static we have to add a URL pattern in sitewide urls.py file.

#  + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

raffles/urls.py
from django.urls import path

from . import views

app_name = 'raffles'

urlpatterns = [
    path('thanks/', views.thanks, name='thanks'),
    path('<slug:raffle_slug>/', views.orderform, name='orderform'),
]

raffles/models.py
import datetime

from django.db import models
from django.utils import timezone
from django.forms import ModelForm



class Organization(models.Model):
    ''' Defines organizations '''

    name = models.CharField(max_length=100, blank=True, null=True)
    address_line1 = models.CharField(max_length=100, blank=True, null=True)
    address_line2 = models.CharField(max_length=100, blank=True, null=True)
    city = models.CharField(max_length=50, blank=True, null=True)
    state = models.CharField(max_length=2, blank=True, null=True)
    country = models.CharField(max_length=2, blank=True, null=True)
    postal_code = models.CharField(max_length=10, blank=True, null=True)
    stripe_id = models.CharField(max_length=25, blank=True, null=True)
    logo = models.ImageField(upload_to = "", blank=True, null=True)   
    website_url = models.CharField(max_length=150, blank=True, null=True)
    non_profit_id = models.IntegerField(blank=True, null=True)

    class Meta:
        verbose_name_plural = "Organizations"
        # ordering = ['order',] # default order is ID

    def __str__(self):
        return self.name



class Raffle(models.Model):
    ''' Defines raffles '''

    image = models.ImageField(upload_to = "raffle/logos/", blank=True, null=True)   
    title = models.CharField("Raffle title", max_length=100, blank=True, null=True)
    name = models.CharField("Raffle name", max_length=100, blank=True, null=True)
    slug = models.SlugField("URL slug", max_length=50, blank=True, null=True)
    description = models.TextField("Raffle description", max_length=500, blank=True, null=True)
    organization = models.ForeignKey(Organization, on_delete=models.CASCADE, blank=True, null=True)
    start_date = models.DateTimeField(default=datetime.datetime.now)
    end_date = models.DateTimeField(blank=True, null=True)
    draw_date = models.DateTimeField(blank=True, null=True)
    created_date = models.DateTimeField(auto_now_add=True, blank=True, null=True)
    updated_date = models.DateTimeField(auto_now=True, blank=True, null=True)
    winning_entry = models.ForeignKey('Entry', on_delete=models.PROTECT, related_name="winning_entry", blank=True, null=True)
    # peerplays_draw_id = models.CharField(max_length=100, blank=True, null=True)

    class Meta:
        verbose_name_plural = "Raffles"

    def __str__(self):
        return '{} - {}'.format(self.title, self.name)



class Condition(models.Model):
    ''' Defines conditions required to participate in raffles '''

    raffle = models.ForeignKey(Raffle, on_delete=models.CASCADE)
    description = models.CharField(max_length=200)
    link = models.URLField(max_length=200, blank=True, null=True)

    class Meta:
        verbose_name_plural = "Terms & Conditions"

    def __str__(self):
        return self.description



class TicketBundle(models.Model):
    ''' Defines ticket bundles associated with raffles '''

    quantity = models.IntegerField()
    price = models.DecimalField(max_digits=5, decimal_places=2)
    raffle = models.ForeignKey(Raffle, on_delete=models.CASCADE)

    class Meta:
        verbose_name = "Ticket Bundle"
        verbose_name_plural = "Ticket Bundles"

    def __str__(self):
        return '{} for ${}'.format(self.quantity, self.price)



class Beneficiary(models.Model):
    ''' Defines beneficiaries associated with raffles '''

    name = models.CharField(max_length=100, blank=True, null=True)
    description = models.CharField(max_length=200)
    raffle = models.ForeignKey('Raffle', on_delete=models.CASCADE, blank=True, null=True)

    class Meta:
        verbose_name_plural = "Beneficiaries"

    def __str__(self):
        return self.description



class Order(models.Model):
    ''' Stores order details '''

    raffle = models.ForeignKey(Raffle, on_delete=models.CASCADE)
    first_name = models.CharField(max_length=100)
    last_name = models.CharField(max_length=100)
    email = models.EmailField(max_length=100) 
    phone = models.CharField(max_length=100)
    bundle = models.ForeignKey(TicketBundle, on_delete=models.CASCADE)
    beneficiary = models.ForeignKey(Beneficiary, on_delete=models.CASCADE, blank=True, null=True)
    payment_method = models.CharField(max_length=25)
    stripe_confirmation = models.CharField(max_length=50, blank=True, null=True)
    seller = models.ForeignKey('Seller', on_delete=models.CASCADE, blank=True, null=True)

    class Meta:
        verbose_name_plural = "Orders"

    def __str__(self):
        return '{} {}'.format(self.pk, self.first_name)


class Entry(models.Model):
    ''' Stores raffle entries '''

    raffle = models.ForeignKey(Raffle, on_delete=models.PROTECT)
    order = models.ForeignKey(Order, on_delete=models.PROTECT, default=0)
    organization = models.ForeignKey(Organization, on_delete=models.PROTECT)
    entry_number = models.IntegerField(default=0)

    class Meta:
        verbose_name_plural = "Entries"
        # db_table = 'app_version'
        constraints = [
            models.UniqueConstraint(fields=['raffle', 'entry_number'], name='unique raffle entry number')
        ]

    def __str__(self):
        return self.id



class Seller(models.Model):

    STATUS = [
        ('active', 'Active'),
        ('inactive', 'Inactive'),
    ]

    first_name = models.CharField(max_length=100)
    last_name = models.CharField(max_length=100)
    email = models.EmailField(max_length=100)
    phone = models.CharField(max_length=100)
    authorization_code = models.CharField(max_length=50)
    status = models.CharField(max_length=100, choices=STATUS)
    organization = models.ForeignKey(Organization, on_delete=models.CASCADE)

    class Meta: 
        verbose_name_plural = "Sellers"

    def __str__(self):
        return '{} {}'.format(self.first_name, self.last_name)

raffles/forms.py
from django import forms
from django.forms import ModelForm
from .models import Order

class OrderForm(ModelForm):
    ''' Raffle entry order form. '''
    
    class Meta:
        model = Order
        fields = ['raffle','first_name','last_name','email','phone','bundle','beneficiary','payment_method','stripe_confirmation','seller']

raffles/views.py
from django.http import HttpResponseRedirect
from django.shortcuts import get_object_or_404, render
from django.contrib import messages
# from django.core.mail import send_mail

from .models import Raffle, TicketBundle, Beneficiary, Seller, Entry
from .forms import OrderForm

def orderform(request, raffle_slug):
    ''' Renders the appropriate order form or processes form submissions ''' 

    # get raffle using slug
    raffle = get_object_or_404(Raffle, slug=raffle_slug)

    # create new order form instance
    form = OrderForm(request.POST or None)

    if form.is_valid():

        order = form.save(commit=False)

        if order.payment_method == 'cash' and request.POST['seller_code']:
            try:
                order.seller = Seller.objects.get(authorization_code=request.POST['seller_code'])
                # print("AUTH_CODE: SUCCESS - {}".format(order.seller))
                # messages.success(request, 'success!!')
            except Seller.DoesNotExist:
                messages.error(request, 'Seller Authorization Code is invalid.')
        
        # process Stripe payment
        order.stripe_confirmation = 'TEST'

        order.save()

        # create new entries by incrementing the entry numbers and saving them in loop
        if Entry.objects.filter(raffle=order.raffle):
            last_entry_number = Entry.objects.filter(raffle=order.raffle).last().entry_number
        else:
            last_entry_number = 0

        for entry in range(order.bundle.quantity):
            last_entry_number = last_entry_number+1
            Entry(
                raffle = order.raffle,
                order = order,
                organization = order.raffle.organization,
                entry_number = last_entry_number,
            ).save()
        
        # send confirmation email containing raffle title, name, ticket number and entry numbers.
        # send_mail(
        #     'Title: {}'.format(form.cleaned_data['name']),
        #     form.cleaned_data['description'],
        #     '{title}, <{slug}>'.format(**form.cleaned_data),
        #     ['gian.pompilio@gmail.com']
        # )
    
        # forward user to confirmation / thank-you page
        # return HttpResponseRedirect('/raffle/thanks/')

    # otherwise, render form page with appropriate context and error messages
    template = 'raffles/form.html'
    context = {
        'form' : form,
        'raffle' : raffle,
        }

    return render(request, template, context)


def thanks(request):
    return render(request, 'raffles/thanks.html')

raffles/templates/raffles/form.html
{% load static %}

<!doctype html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="Gian Pompilio for PBSA">
    <!-- <meta name="generator" content=""> -->

    <title>{{ raffle.title }} - Order Your Tickets Now!</title>

    <!-- <link rel="canonical" href="https://getbootstrap.com/docs/4.5/examples/checkout/"> -->

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

    <!-- Favicons -->
    <!-- 
    <link rel="apple-touch-icon" href="/docs/4.5/assets/img/favicons/apple-touch-icon.png" sizes="180x180">
    <link rel="icon" href="/docs/4.5/assets/img/favicons/favicon-32x32.png" sizes="32x32" type="image/png">
    <link rel="icon" href="/docs/4.5/assets/img/favicons/favicon-16x16.png" sizes="16x16" type="image/png">
    <link rel="manifest" href="/docs/4.5/assets/img/favicons/manifest.json">
    <link rel="mask-icon" href="/docs/4.5/assets/img/favicons/safari-pinned-tab.svg" color="#563d7c">
    <link rel="icon" href="/docs/4.5/assets/img/favicons/favicon.ico">
    <meta name="msapplication-config" content="/docs/4.5/assets/img/favicons/browserconfig.xml">
    <meta name="theme-color" content="#563d7c"> 
    -->

    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }

      .container {
        max-width: 960px;
        }

      .lh-condensed { line-height: 1.25; }
    </style>

  </head>

  <body class="bg-light">

    <div class="container">

      <div class="py-5 text-center">
        <!-- <img class="d-block mx-auto mb-4" src="{% static raffle.image %}" alt="{{ raffle.image_url }}"> -->
        <img class="d-block mx-auto mb-4" src="{{ raffle.image.url }}" alt="{{ raffle.title }} Logo" height="100px">
        <h2>{{ raffle.title }}</h2>
        <h3>{{ raffle.name }}</h3>
        <p class="lead">{{ raffle.description }}</p>
      </div>

      <!-- Main Form -->
      <div class="row justify-content-center">
          
        <div class="col-md-8 order-md-1">

          <h4 class="mb-3">Personal Information</h4>

          <form action="/raffle/{{ raffle.slug }}/" method="POST" class="needs-validation" novalidate>
            
            {% csrf_token %}
            {{ form.non_field_errors }}
            {{ form.source.errors }}
            {{ form.source }}

            {% if messages %}
            <ul class="messages">
                {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                {% endfor %}
            </ul>
            {% endif %}

            <input type="hidden" name="raffle" id="id_raffle" value="{{raffle.pk}}">


            <div class="row">
              <div class="col-md-6 mb-3">
                <label for="id_first_name">First Name</label>
                <input type="text" class="form-control" name="first_name" maxlength="100" id="id_first_name" placeholder="" value="{{form.first_name.value|default_if_none:''}}" required>
                <div class="invalid-feedback">
                  Valid first name is required.
                </div>
              </div>

              <div class="col-md-6 mb-3">
                <label for="id_last_name">Last Name</label>
                <input type="text" class="form-control" name="last_name" maxlength="100" id="id_last_name" placeholder="" value="{{form.last_name.value|default_if_none:''}}" required>
                <div class="invalid-feedback">
                  Valid last name is required.
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-md-6 mb-3">
                <label for="id_email">Email Address</label>
                <input type="email" class="form-control" name="email" maxlength="100" id="id_email" placeholder="you@example.com" value="{{form.email.value|default_if_none:''}}" required>
                <div class="invalid-feedback">
                    Please enter a valid email address (formatted like you@example.com).
                </div>
              </div>
              <div class="col-md-6 mb-3">
                <label for="id_phone">Phone Number</label>
                <input type="text" class="form-control" name="phone" maxlength="100" id="id_phone" placeholder="xxx-xxx-xxxx" pattern="[0-9]{3}-[0-9]{3}-[0-9]{4}" value="{{form.phone.value|default_if_none:''}}" required>
                <div class="invalid-feedback">
                  Please enter a valid phone number (formatted like xxx-xxx-xxxx).
                </div>
              </div>
            </div>

            {% if raffle.condition_set.count %}
            <!-- CONDITIONS -->
            {% for condition in raffle.condition_set.all %}
            <div class="custom-control custom-checkbox">
              <input type="checkbox" class="custom-control-input" id="{{condition.description|slugify}}" required>
              <label class="custom-control-label" for="{{condition.description|slugify}}">{{condition.description}} {% if condition.link is not None %}(<a href="{{condition.link}}" target="_blank">View</a>){% endif %}</label>
            </div>
            {% endfor %}
            {% endif %}

            {% if raffle.ticketbundle_set.count %}
            <!-- TICKET BUNDLES -->
            <br />
            <h4 class="mb-3">How many entries would you like?</h4>
            <div class="d-block my-3">
              {% for ticket in raffle.ticketbundle_set.all %}
              <div class="custom-control custom-radio">
                <input id="{{ticket.id}}" name="bundle" type="radio" class="custom-control-input" value="{{ticket.id}}" {% if form.bundle.value == ticket.pk|stringformat:"i" %}checked{% endif %} required>
                <label class="custom-control-label" for="{{ticket.pk}}">{{ticket.quantity}} entry for ${{ticket.price}}</label>
              </div>
              {% endfor %}
            </div>
            {% endif %}

            {% if raffle.beneficiary_set.count %}
            <!-- ORGANIZATIONS TO SUPPORT -->
            <br />
            <h4 class="mb-3">Which beneficiary would you like to support?</h4>
            <div class="d-block my-3">
              <label for="id_beneficiary" class="d-none invisible">Which beneficiary would you like to support?</label>
              <select class="custom-select d-block w-100" id="id_beneficiary" name="beneficiary" required>
                {% for beneficiary in raffle.beneficiary_set.all %}
                <option value="{{beneficiary.id}}" {% if form.beneficiary.value == beneficiary.id|stringformat:"i" %}selected{% endif %}>{{beneficiary.description}}</option>
                {% endfor %}
              </select>
              <div class="invalid-feedback">
                Please select a valid beneficiary.
              </div>
            </div>
            {% endif %}

            <!-- PAYMENT INFORMATION -->
            <br />
            <h4 class="mb-3">Payment Information</h4>
            <div class="d-block my-3">
              <div class="custom-control custom-radio">
                <input id="credit" name="payment_method" type="radio" class="custom-control-input" value="credit" {% if form.payment_method.value == "credit" %}checked{% endif %} required>
                <label class="custom-control-label" for="credit">Credit card</label>
              </div>
              <div class="custom-control custom-radio">
                <input id="debit" name="payment_method" type="radio" class="custom-control-input" value="debit" {% if form.payment_method.value == "debit" %}checked{% endif %} required>
                <label class="custom-control-label" for="debit">Debit card</label>
              </div>
              <div class="custom-control custom-radio">
                <input id="cash" name="payment_method" type="radio" class="custom-control-input" value="cash" {% if form.payment_method.value == "cash" %}checked{% endif %} required>
                <label class="custom-control-label" for="cash">Cash</label>
              </div>
            </div>

            <!-- CREDIT / DEBIT FIELDS -->
            <div id="creditDebitFields">
              <div class="row">
                <div class="col-md-6 mb-3">
                  <label for="id_card_name">Name on Card</label>
                  <input type="text" class="form-control" id="id_card_name" name="card_name" placeholder="" required>
                  <small class="text-muted">Full name as displayed on card</small>
                  <div class="invalid-feedback">
                    Name on card is required
                  </div>
                </div>
                <div class="col-md-6 mb-3">
                  <label for="id_card_number">Card Number</label>
                  <!-- <input type="text" class="form-control" id="id_card_number" name="card_number" placeholder="" required> -->
                  <input type="tel" class="form-control" id="id_card_number" name="card_number" inputmode="numeric" pattern="[0-9\s]{13,19}" autocomplete="cc-number" maxlength="19" placeholder="xxxx xxxx xxxx xxxx" required>
                  <div class="invalid-feedback">
                    Credit card number is required
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-3 mb-3">
                  <label for="id_card_expiration">Expiration</label>
                  <input type="text" class="form-control" id="id_card_expiration" name="card_expiration" placeholder="" required>
                  <div class="invalid-feedback">
                    Expiration date required
                  </div>
                </div>
                <div class="col-md-3 mb-3">
                  <label for="id_card_cvv">CVV</label>
                  <input type="text" class="form-control" id="id_card_cvv" name="card_cvv" placeholder="" required>
                  <div class="invalid-feedback">
                    Security code required
                  </div>
                </div>
              </div>
            </div>

            <!-- SELLER AUTHORIZATION CODE -->
            <div id="authCode" style="display:none" class="my-3">
              <label for="seller_code" class="d-none">Please enter a valid seller authorization code</label>
                <input type="password" class="form-control" id="seller_code" name="seller_code" placeholder="Seller Authorization Code">
            </div>

            <!-- CHECKOUT BUTTON -->
            <hr class="mb-4">
            <button class="btn btn-primary btn-lg btn-block" type="submit">Continue to checkout</button>

          </form>
        </div>
      </div>
    </div>


    <!-- FOOTER -->
    <footer class="my-5 pt-5 text-muted text-center text-small">
      <p class="mb-1">&copy; 2020 Company Name</p>
      <ul class="list-inline">
        <li class="list-inline-item"><a href="#">Rules</a></li>
        <li class="list-inline-item"><a href="#">Terms</a></li>
        <li class="list-inline-item"><a href="#">Privacy</a></li>
      </ul>
    </footer>
    <!-- FOOTER:END -->


    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
    
    <script>
      // Example starter JavaScript for disabling form submissions if there are invalid fields
      (function () {
        'use strict'

        window.addEventListener('load', function () {
          // Fetch all the forms we want to apply custom Bootstrap validation styles to
          var forms = document.getElementsByClassName('needs-validation')

          // Loop over them and prevent submission
          Array.prototype.filter.call(forms, function (form) {
            form.addEventListener('submit', function (event) {
              if (form.checkValidity() === false) {
                event.preventDefault()
                event.stopPropagation()
              }
              form.classList.add('was-validated')
            }, false)
          })
        }, false)

        // Hide credit card fields if cash is selected 
        $(function() {
          $("input[name='payment_method']").click(function() {
              if ($("#cash").is(":checked")) {
                $("#creditDebitFields").hide();
                $('#creditDebitFields :input').prop('required', false);
                $("#authCode").show();
                $('#authCode :input').prop('required', true);
              } else {
                $("#authCode").hide();
                $('#authCode :input').prop('required', false);
                $("#creditDebitFields").show();
                $('#creditDebitFields :input').prop('required', true);
              }
          });
        });

      }())

    </script>

  </body>

</html>        

raffles/templates/raffles/test-form.html
<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="Gian Pompilio for PBSA">
    <meta name="generator" content="Jekyll v4.1.1">
    <title>Order Your {{ raffle.title }} Tickets Now</title>

    <!-- <link rel="canonical" href="https://getbootstrap.com/docs/4.5/examples/checkout/"> -->

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

    <!-- Favicons -->
    <!-- 
    <link rel="apple-touch-icon" href="/docs/4.5/assets/img/favicons/apple-touch-icon.png" sizes="180x180">
    <link rel="icon" href="/docs/4.5/assets/img/favicons/favicon-32x32.png" sizes="32x32" type="image/png">
    <link rel="icon" href="/docs/4.5/assets/img/favicons/favicon-16x16.png" sizes="16x16" type="image/png">
    <link rel="manifest" href="/docs/4.5/assets/img/favicons/manifest.json">
    <link rel="mask-icon" href="/docs/4.5/assets/img/favicons/safari-pinned-tab.svg" color="#563d7c">
    <link rel="icon" href="/docs/4.5/assets/img/favicons/favicon.ico">
    <meta name="msapplication-config" content="/docs/4.5/assets/img/favicons/browserconfig.xml">
    <meta name="theme-color" content="#563d7c"> 
    -->

    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }

      .container {
        max-width: 960px;
        }

        .lh-condensed { line-height: 1.25; }
    </style>

  </head>

  <body class="bg-light">
    <div class="container">
    <div class="py-5 text-center">
      <img class="d-block mx-auto mb-4" src="https://d23psllbuaurou.cloudfront.net/pics/DKKWsPMc9E-kbvJmoia08Qro-OCNaJ5jC.png" alt="Organization Logo">
      <h2>{{ raffle.title }} </h2>
      <h3>{{ raffle.name }} </h3>
      <p class="lead">{{ raffle.description }}</p>
    </div>

    <!-- Main Form -->
    <div class="row justify-content-center">
    <div class="col-md-8 order-md-1">

      <h4 class="mb-3">Personal Information</h4>

      <form action="/raffle/{{ raffle.slug }}/" method="post" class="needs-validation" novalidate>
        {% csrf_token %}
        {{ form.as_p}}
        <button class="btn btn-primary btn-lg btn-block" type="submit">Continue to checkout</button>
      </form>
    </div>
  </div>
  </div>


  <footer class="my-5 pt-5 text-muted text-center text-small">
    <p class="mb-1">&copy; 2020 Company Name</p>
    <ul class="list-inline">
      <li class="list-inline-item"><a href="#">Rules</a></li>
      <li class="list-inline-item"><a href="#">Terms</a></li>
      <li class="list-inline-item"><a href="#">Privacy</a></li>
    </ul>
  </footer>
</div>


    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
    
    <script>
      // Example starter JavaScript for disabling form submissions if there are invalid fields
      (function () {
        'use strict'

        window.addEventListener('load', function () {
          // Fetch all the forms we want to apply custom Bootstrap validation styles to
          var forms = document.getElementsByClassName('needs-validation')

          // Loop over them and prevent submission
          Array.prototype.filter.call(forms, function (form) {
            form.addEventListener('submit', function (event) {
              if (form.checkValidity() === false) {
                event.preventDefault()
                event.stopPropagation()
              }
              form.classList.add('was-validated')
            }, false)
          })
        }, false)
      }())
    </script>

  </body>
</html>        
</html>